MONGOC_GRIDFS_FILE_GET_ID(3)

NAME
mongoc_gridfs_file_get_id - mongoc_gridfs_file_get_id()

SYNOPSIS

        const bson_value_t *
        mongoc_gridfs_file_get_id (mongoc_gridfs_file_t *file);

PARAMETERS

    •   file: A mongoc_gridfs_file_t.

DESCRIPTION

Fetches the id of a gridfs file.

The C Driver always uses an ObjectId for _id, but files created by other drivers may have any type of _id.

RETURNS

Returns a bson_value_t that should not be modified or freed.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc